#region MigraDoc - Creating Documents on the Fly
//
// Authors:
//   PDFsharp Team (mailto:PDFsharpSupport@pdfsharp.de)
//
// Copyright (c) 2001-2008 empira Software GmbH, Cologne (Germany)
//
// http://www.pdfsharp.com
// http://www.migradoc.com
// http://sourceforge.net/projects/pdfsharp
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.
#endregion

using System;
using MigraDoc.DocumentObjectModel;

namespace HelloMigraDoc
{
  /// <summary>
  /// Some filler text created with Adobe InDesign.
  /// </summary>
  public class FillerText
  {
    public static string ShortText
    {
      get { return "Andigna cons nonsectem accummo diamet nis diat."; }
    }

    public static string Text
    {
      get
      {
        return "Loboreet autpat, quis adigna conse dipit la consed exeril et utpatetuer autat, voloboreet, consequamet ilit nos aut in henit ullam, sim doloreratis dolobore tat, venim quissequat. " +
          "Nisci tat laor ametumsan vulla feuisim ing eliquisi tatum autat, velenisit iustionsed tis dunt exerostrud dolore verae.";
      }
    }

    public static string MediumText
    {
      get 
      {
        return "Incinibh ecte dionsent am, sisl ute magna faccum ing eu feugait ulla consequismod tetum zzrilluptat. Ut velis accum dit la corper inci essequat, venis nisl dolutat. Sandipit esequisit autpat. " +
          "Magnibh et laortie feugiamcommy nulluptat dolorpero euipis nonum augait wis dit, quamcon sequipit at vel il eui blaorper si tat ipit at nis nullan hent num dunt irit, sum dolendio consendigna consent " + 
          "lan ut illan etue miniam dolenisis nonsenim inim quat, conulla orercinisim vel inci ent illam quat volore veliquam amconsequat. Ut lut incincipit nullaor iriurercip et luptat erat illamco mmoluptat.\n" + 
          "Ut iriusciduis nonsed do el dolut ea autem il dolore verci blam, quatue el ute facilis cidunt dit alisl ut lut num vercinc illaore del ilisi blandre commodit, quamcon sequipsusto dunt ver illaorperit utpat, " +
          "velisci lisciniam vent alis nostisi et, quisit, con eu facipit vulputpat.";
      }
    }

    public static string LargeText
    {
      get 
      {
        return "Enim vulput ea am, conulput wisi endio ex ent ut velit nosting eugait nonullut nonse modolorperat vulla acipsuscil ut augue tet verilis modiate commodo lesequis eugue esto eugiam in esto corperosto " +
          "dipiscipis dunt acil do dolutpatummy nos eugiam nonum ea alisit delit, vendio od tatumsan henim nullamconse minci tem delenit iusto eummolore magna consent ea am aliquis adigna con er sent ad mincidunt num vulla " +
          "autat la alit alit am, volutate dolortin ullut alit wis adit verostrud tisi.\n" +
          "Ad estionulla feu faci tinit atie modipsuscip essi.\n" +
          "Suscinibh el ex euguer autem iure dolum doluptat laoreros am velenia mconulla corem nos ea facilisl et eugiat ecte minisit wis er in utat ip exeratie mincidunt wiscilis nisci essecte eriliquip et illutem duisim " +
          "velestrud tat ilisisis ese molesenim vercil el ute magniam augue min erosto con volorper adignim dolorer ostrud exerostio odo doloreet ex et utat. Ud tat. Andipsum erosto odolum dolesequat vent augiamcon ullam " +
          "euipis duis adignis autem nullamet, velisi. Tet doloreet venibh ex et ut nullamet adipisis accum ipis acing exer sed et, vero odoloreet, veros atie dolore dolorem quat, se velit velit wismodit er sum iure " +
          "te facidunt doloreraesto do dolorem nos nos erat at nit in utpat adigna feugiamet aliquissi blaore dui blan utat vero dolessim zzriustrud digniat, volobor secte core feuis dolore vero odip et ad mod te conulla " + 
          "feugait volor sum iusciduismod dunt vendigna ad del ut dunt alit augue eliquam ip el ipit in veliqui ssenisci te tis ercing";
      }
    }
  }
}

